import Card from '../../../interfaces/Card'
import Type from '../../../interfaces/Type'
import Tag from '../../../interfaces/Tag'
import Rarity from '../../../interfaces/Rarity'
import AbilityType from '../../../interfaces/AbilityType'
import Category from '../../../interfaces/Category'

const card: Card = {

	// ids
	id: "sm11-110",
	localId: 110,

	// Card informations
	name: {
		en: "Medicham",
		fr: "Charmina",
	},

	hp: 110,

	type: [
		Type.FIGHTING,
	],

	dexId: 308,

	image: {
		low: {
			en: "https://assets.tcgdex.net/en/sm/sm11/110/low.png",
			fr: "https://assets.tcgdex.net/fr/sm/sm11/110/low.png",
		},
		high: {
			en: "https://assets.tcgdex.net/en/sm/sm11/110/high.png",
			fr: "https://assets.tcgdex.net/fr/sm/sm11/110/high.png",
		},
	},

	evolveFrom: {
		en: "Meditite",
		fr: "Méditikka",
	},

	tags: [
		Tag.STAGE1,
	],

	illustrator: {
		id: 49,
		name: "Shigenori Negishi"
	},



	attacks: [{
		cost: [
			Type.FIGHTING
		],
		name: {
			en: "Pure Power",
			fr: "Force Pure",
		},
		text: {
			en: "Put 4 damage counters on your opponent's Pokémon in any way you like.",
			fr: "Placez 4 marqueurs de dégâts sur les Pokémon de votre adversaire, de la manière que vous voulez.",
		},
	},{
		cost: [
			Type.FIGHTING,
			Type.FIGHTING
		],
		name: {
			en: "Master Strike",
			fr: "Coup de Maître",
		},
		text: {
			en: "If this Pokémon has a Karate Belt card attached to it, this attack does 60 more damage.",
			fr: "Si une carte Ceinture de Karaté est attachée à ce Pokémon, cette attaque inflige 60 dégâts supplémentaires.",
		},
		damage: 60
	}],

	weaknesses: [{
		type: Type.PSYCHIC,
		value: "×2"
	}],



	retreat: 1,

	rarity: Rarity.Rare,

	category: Category.POKEMON,

	set: {
		name: "Unified Minds",
		code: "sm11"
	}
}

export default card

