import Card from '../../../interfaces/Card'
import Type from '../../../interfaces/Type'
import Tag from '../../../interfaces/Tag'
import Rarity from '../../../interfaces/Rarity'
import AbilityType from '../../../interfaces/AbilityType'
import Category from '../../../interfaces/Category'

const card: Card = {

	// ids
	id: "swsh1-22",
	localId: 22,

	dexId: 37,

	// Card informations
	name: {
		en: "Vulpix",
		fr: "Goupix",
	},

	hp: 70,

	type: [
		Type.FIRE,
	],



	image: {
		low: {
			en: "https://assets.tcgdex.net/en/swsh/swsh1/22/low.png",
			fr: "https://assets.tcgdex.net/fr/swsh/swsh1/22/low.png",
		}
	},

	evolveTo: [{
		en: "Ninetales",
		fr: "Feunard",
	}],

	tags: [
		Tag.BASIC,
	],

	illustrator: {
		id: 17,
		name: "Taira Akitsu"
	},



	attacks: [{
		cost: [
			Type.FIRE
		],
		name: {
			en: "Flare",
			fr: "Flamboiement",
		},
		damage: 20
	}],

	weaknesses: [{
		type: Type.WATER,
		value: "×2"
	}],



	retreat: 1,

	rarity: Rarity.Common,

	category: Category.POKEMON,

	set: {
		name: "Sword & Shield",
		code: "swsh1"
	}
}

export default card
